/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.OrgRole;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class ProjectSponsor extends RelMgmt.Party.OrgRole {
    public Vector calcCostToDate() {
        return new Vector();
    }

    public Vector estimateCostToComplete() {
        return new Vector();
    }

    public void notifyPotentialCostOverrun() {
    }

    public void notifyPotentialScheduleSlip() {
    }

    public Vector comparePlannedVsActual() {
        return new Vector();
    }

    public Vector listActivityRequests() {
        return new Vector();
    }

    public Vector listActivities() {
        return new Vector();
    }

    public Vector listProjects() {
        return new Vector();
    }

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private ProjActMgmt.ProjActRequest.Project lnkUnnamed;
}


